Package org.apache.struts2.dispatcher

# Class MockDispatcher

java.lang.Object
org.apache.struts2.dispatcher.Dispatcher
org.apache.struts2.dispatcher.MockDispatcher

public class MockDispatcher extends Dispatcher

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.struts2.dispatcher.Dispatcher

  `Dispatcher.Locator`

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.dispatcher.Dispatcher

  `configurationManager, initParams, MULTIPART_FORM_DATA_REGEX, REQUEST_POST_METHOD, servletContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MockDispatcher(jakarta.servlet.ServletContext servletContext, Map<String,String> context, ConfigurationManager configurationManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init()`
  Load configurations, including both XML and zero-configuration strategies, and update optional settings, including whether to reload configurations and resource files.

  ### Methods inherited from class org.apache.struts2.dispatcher.Dispatcher

  `addDispatcherListener, cleanup, cleanUpAfterInit, cleanUpRequest, clearInstance, createActionProxy, createConfigurationManager, createContextMap, createContextMap, createJavaConfigurationProvider, createStrutsXmlConfigurationProvider, getActionExcludedPatterns, getActionMapper, getActionProxyFactory, getConfigurationManager, getContainer, getInstance, getInstance, getLocale, getMultiPartRequest, getSaveDir, getStaticContentLoader, getValueStackFactory, isDevMode, isHandleException, isMultipartRequest, isMultipartSupportEnabled, isSameAction, logConfigurationException, prepare, prepareActionProxy, removeDispatcherListener, sendError, serviceAction, setActionExcludedPatterns, setActionExcludedPatternsSeparator, setActionMapper, setActionProxyFactory, setDefaultEncoding, setDefaultLocale, setDevMode, setDisableRequestAttributeValueStackLookup, setDispatcherErrorHandler, setDispatchersParametersWorkaround, setHandleException, setInstance, setLocaleProviderFactory, setMultipartSaveDir, setMultipartSupportEnabled, setMultipartValidationRegex, setObjectFactory, setStaticContentLoader, setThreadAllowlist, setValueStackFactory, wrapRequest`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MockDispatcher

    public MockDispatcher(jakarta.servlet.ServletContext servletContext, Map<String,String> context, ConfigurationManager configurationManager)

- ## Method Details

  - ### init

    public void init()
    Description copied from class: `Dispatcher`
    Load configurations, including both XML and zero-configuration strategies, and update optional settings, including whether to reload configurations and resource files.
    Overrides:
      `init` in class `Dispatcher`